Loading...
Searching...
No Matches
Tabulated1DFunction.hpp File Reference

Implements a linearly interpolated scalar function that depends on one variable. More...

`#include <opm/common/OpmLog/OpmLog.hpp>`
`#include <opm/material/densead/Math.hpp>`
`#include <algorithm>`
`#include <cassert>`
`#include <iosfwd>`
`#include <stdexcept>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Opm::SegmentIndex
class | Opm::Tabulated1DFunction< Scalar >
| Implements a linearly interpolated scalar function that depends on one variable. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements a linearly interpolated scalar function that depends on one variable.